<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/cssnaked/class/view/admincssnakedconfigview.class.php" ); 

	class AdminCssNakedConfigAction extends AdminAction
	{
		function AdminCssNakedConfigAction( $actionInfo, $request ) 
		{
			$this->AdminAction( $actionInfo, $request );
			
            $this->requirePermission( "manage_plugins" );			
		}
		
		function perform()
		{
            $this->_view = new AdminCssNakedConfigView ( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;		
		}		
	}
?>
